## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           aquamarine
Version:        0.5.0
Release:        %autorelease
Summary:        A very light linux rendering backend library
License:        BSD-3-Clause
URL:            https://github.com/hyprwm/aquamarine
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  mesa-libEGL-devel

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(hwdata)
BuildRequires:  pkgconfig(hyprutils)
BuildRequires:  pkgconfig(hyprwayland-scanner)
BuildRequires:  pkgconfig(libdisplay-info)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libseat)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md docs/env.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.4

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Sat Nov 16 2024 Jannik Müller <nightishaman@fedoraproject.org> - 0.5.0-3
- Update to 0.5.0 - Address changed SOVERSION

* Sat Nov 16 2024 Jannik Müller <nightishaman@fedoraproject.org> - 0.5.0-2
- Update to 0.5.0

* Sat Nov 16 2024 Jannik Müller <nightishaman@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Nov 09 2024 Pavel Solovev <daron439@gmail.com> - 0.4.4-1
- Update to 0.4.4

* Mon Oct 14 2024 Pavel Solovev <daron439@gmail.com> - 0.4.3-1
- Update to 0.4.3

* Mon Oct 07 2024 Pavel Solovev <daron439@gmail.com> - 0.4.2-1
- Update to 0.4.2

* Sun Sep 08 2024 Pavel Solovev <daron439@gmail.com> - 0.4.1-1
- Update to 0.4.1

* Mon Sep 02 2024 Pavel Solovev <daron439@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 19 2024 Pavel Solovev <daron439@gmail.com> - 0.3.3-1
- Update to 0.3.3

* Sun Aug 18 2024 Pavel Solovev <daron439@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Fri Aug 09 2024 Pavel Solovev <daron439@gmail.com> - 0.3.1-1
- Update to 0.3.1

* Wed Aug 07 2024 Pavel Solovev <daron439@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Tue Jul 30 2024 Pavel Solovev <daron439@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Mon Jul 29 2024 Pavel Solovev <daron439@gmail.com> - 0.1.1-1
- import as hyprwm/aquamarine (rhbz#2299450)

## END: Generated by rpmautospec
